Bug 636444 - system updating problem
system updating problem
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.7
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 05:08 EDT by Niraj
Modified: 2014-01-21 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 10:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Niraj 2010-09-22 05:08:17 EDT
Description of problem:
I am updating my systerm RHEL system Getting following error

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
perl(File::Path) is needed by (installed) subversion-tools-1.6.9-1.i386
perl(File::Path) is needed by (installed) subversion-tools-1.6.9-1.i386
Complete!


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James Antill 2010-09-22 09:23:39 EDT
What do the following output:

rpm -Va --nofiles --nodigest
yum list subversion-tools perl
yum provides 'perl(File::Path)'
Comment 2 Niraj 2010-09-23 02:30:13 EDT
rpm -Va --nofiles --nodigest

Unsatisfied dependencies for subversion-tools-1.6.4-1.i386: perl(File::Path) >= 1.0404
Unsatisfied dependencies for php-mcrypt-5.2.6-2.i386: php-common = 5.2.6-2

yum list subversion-tools perl

perl.i386                                                         4:5.8.8-27.el5                                                            installed         
subversion-tools.i386                                                       1.6.4-1                                                                   installed         
Available Packages
perl.i386                                                                   4:5.8.8-32.el5_5.2                                                        rhel-i386-server-5


yum provides 'perl(File::Path)'

4:perl-5.8.8-10.i386 : The Perl programming language
Repo        : rhel-i386-server-5
Matched from:
Other       : perl(File::Path)



4:perl-5.8.8-10.el5_0.2.i386 : The Perl programming language
Repo        : rhel-i386-server-5
Matched from:
Other       : perl(File::Path)



4:perl-5.8.8-10.el5_2.3.i386 : The Perl programming language
Repo        : rhel-i386-server-5
Matched from:
Other       : perl(File::Path)



4:perl-5.8.8-15.el5_2.1.i386 : The Perl programming language
Repo        : rhel-i386-server-5
Matched from:
Other       : perl(File::Path)



4:perl-5.8.8-18.el5.i386 : The Perl programming language
Repo        : rhel-i386-server-5
Matched from:
Other       : perl(File::Path)
Comment 3 James Antill 2010-09-24 10:48:53 EDT
Right, so you need to fix the missing deps. for the installed version of subversion and php. At which point yum should be happy.

You can check the specific versions with:

repoquery --provides perl-<version>

...the -32 version here seems to have "perl(File::Path) = 1.08", which should work.
Comment 4 Niraj 2010-09-27 02:24:29 EDT
ok Done.

Note You need to log in before you can comment on or make changes to this bug.